Subject: [Spridgets] K and W Block Seal

From: Kirk L Hargreaves via Spridgets <[email-masked]>
Date: Tue, 9 Jun 2015 19:30:40 -0700

Just wanted to say, a year has passed and K&W, the block seal that requires a 24 hour install process continues to hold. I am very impressed with this stuff and the install process which seems to make sense. 

The head gasket leak in my 58 Ford F 100 would not seal with a more well known typical product. Then I tried K&W. It is different from any other sealing compound I have seen. It uses a different dry out hardening process to seal the leak. To note, my success with K&W may also, in part, have to do with the location of the leak. But I have heard of it being effective in the more complicated Cadillac North Star engines.

Kirk
(59 Sprite)

Sent from my iPhone
------------------------

[email-masked]

Archive: http://www.team.net/archive